All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.publish
Interface DatasetEntryInterface

All Superinterfaces:
  com.sas.entities.EntityKeyInterface, EntryInterface, LibraryMemberEntryInterface, java.rmi.Remote, ResultSetProviderInterface

    public interface DatasetEntryInterface

extends LibraryMemberEntryInterface, ResultSetProviderInterface, java.rmi.Remote

The DatasetEntryInterface provides a mechanism for getting the attributes of a data set entry. SAS data sets can only be published using the MVA Publish Framework. When a data set is published, it is stored in the result package in an intermediate form.

The Java API can be used to retrieve the SAS data set that has been published to a result package. This interface provides a way to obtain the result set which can be used to obtain the actual data.

Since:
  1.0

Field Summary

Fields inherited from interface com.sas.services.publish.LibraryMemberEntryInterface
`CATALOG, DATASET, FDB, MDDB, SQLVIEW`

Method Summary
`RemoteResultSetInterface` | `getRemoteResultSet()` Gets a remotable result set.
`java.sql.ResultSet` | `getResultSet()` Gets the result set for the data set entry.

Methods inherited from interface com.sas.services.publish.LibraryMemberEntryInterface
`getLibraryMemberType, getLibraryName, getMemberName`

Methods inherited from interface com.sas.services.publish.EntryInterface
`getDescription, getNameValuePairs, getURL, isReadOnly, setDescription, setNameValuePairs`

Methods inherited from interface com.sas.services.publish.ResultSetProviderInterface
`hasResultSet`

Method Detail

### getResultSet

    java.sql.ResultSet getResultSet()
                                    throws java.rmi.UnmarshalException,
                                           TransportException,
                                           java.rmi.RemoteException

  Gets the result set for the data set entry. Because result sets are not remotable, this method will throw a RemoteException if it is invoked on a remote object. Distributed applications should utilize `getRemoteResultSet()` in order to obtain the result set. `RemoteResultSet.getResultSet(com.sas.services.publish.ResultSetProviderInterface)` is a convenience method that will return the appropriate result set (local or remote). See the ResultSet Usage overview documentation for an example of how this convenience method should be used.

  Specified by:
    `getResultSet` in interface `ResultSetProviderInterface`
  Returns:
    a result set from the provider; `null` if the provider does not provide the result set
  Throws:
    `java.rmi.UnmarshalException` - if invoked on a remote object
    `TransportException` - if an exception occurred while constructing the ResultSet
    `java.rmi.RemoteException` - if a network I/O error occurs.

### getRemoteResultSet

    RemoteResultSetInterface getRemoteResultSet()
                                                throws TransportException,
                                                       java.rmi.RemoteException

  Gets a remotable result set. `RemoteResultSet.getResultSet(com.sas.services.publish.ResultSetProviderInterface)` is a convenience method that will return the appropriate result set (local or remote). See the ResultSet Usage overview documentation for an example of how this convenience method should be used.

  Specified by:
    `getRemoteResultSet` in interface `ResultSetProviderInterface`
  Returns:
    a result set from the provider.
  Throws:
    `java.rmi.UnmarshalException` - if invoked on a remote object
    `TransportException` - if an exception occurred while constructing the RemoteResultSetInterface
    `java.rmi.RemoteException` - if a network I/O error occurs.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.